Create a fact-find block Run in API Explorer
Ask AI
POST
/api/v2/fact-find/templates/{factFindTemplate_uuid}/sections/{factFindSection_uuid}/blocks
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sections/6ff8f7f6-1eb3-3525-be4a-3932c805afed/blocks' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"Income Details","introduction_html":"\u003cp\u003ePlease provide your income details below.\u003c/p\u003e","position":1}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
Response examples (201)
{
"uuid": "d05b93f6-1fe1-4c9b-b6c3-b6583ecbdd74",
"created_at": "2026-07-22T14:08:42+01:00",
"updated_at": "2026-07-22T14:08:42+01:00",
"fact_find_section": {
"uuid": "438259c9-585d-4140-9676-4caf571ede51",
"created_at": "2026-07-22T14:08:42+01:00",
"updated_at": "2026-07-22T14:08:42+01:00",
"fact_find_template": {
"uuid": "7953dcb2-6ada-44ed-8e41-2da7af78757e",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "My Fact-Find Template",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "76ac1b82-b57f-462a-9da1-a8ab2f9ec675",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
},
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}